#!/bin/sh

SetTerminatorAsDefaultTerm () {
	# Credit: http://forums.linuxmint.com/viewtopic.php?f=208&t=150071
	gsettings set org.gnome.desktop.default-applications.terminal exec /usr/bin/terminator;
	gsettings set org.gnome.desktop.default-applications.terminal exec-arg "-x --new-tab";
	gsettings set org.cinnamon.desktop.default-applications.terminal exec /usr/bin/terminator;
	gsettings set org.cinnamon.desktop.default-applications.terminal exec-arg "-x --new-tab";
	debug "Done setting up Terminator as default terminal."
}

debug() {
	# TODO: Use debug flag using getopts
	echo "DEBUG: $1";
}

# TODO: This script is made to run only on GNOME Ubuntu. Ask check to gracefully exit if not on that system.
# If Terminator is installed, make it the default terminal emulator of the system.
if [ -f /usr/bin/terminator ]; then
	SetTerminatorAsDefaultTerm;
else
	debug "Terminator was not found on the system. Installing..."
	# install terminator and reconfig
	sudo apt-get install terminator;
	SetTerminatorAsDefaultTerm;
fi

